Index: adodb-time.inc.php
===================================================================
--- adodb-time.inc.php	(revision 14184)
+++ adodb-time.inc.php	(working copy)
@@ -139,10 +139,19 @@
 */
 function adodb_get_gmt_diff()
 {
-static $TZ;
-	if (isset($TZ)) return $TZ;
+	static $TZ;
 
-	$TZ = mktime(0,0,0,1,2,1970,0) - gmmktime(0,0,0,1,2,1970,0);
+	if ( isset($TZ) ) {
+		return $TZ;
+	}
+
+	if ( version_compare(PHP_VERSION, '5.1.0', '<') ) {
+		$TZ = mktime(0,0,0,1,2,1970,0) - gmmktime(0,0,0,1,2,1970,0);
+	}
+	else {
+		$TZ = (-1) * date('Z', mktime(0, 0, 0, 1, 1, 1970));
+	}
+
 	return $TZ;
 }
 
